biounit {bio3d} | R Documentation

## Biological Units Construction

### Description

Construct biological assemblies/units based on a 'pdb' object.

### Usage

    biounit(pdb, biomat = NULL, multi = FALSE, ncore = NULL)

### Arguments

`pdb` | an object of class `pdb` as obtained from function `read.pdb`.
`biomat` | a list object as returned by `read.pdb` (pdb$remark$biomat), containing matrices for symmetry operation on individual chains to build biological units. It will override the matrices stored in `pdb`.
`multi` | logical, if TRUE the biological unit is returned as a 'multi-model' `pdb` object with each symmetric copy a distinct structural 'MODEL'. Otherwise, all copies are represented as separated chains.
`ncore` | number of CPU cores used to do the calculation. By default (`ncore=NULL`), use all available CPU cores.

### Details

A valid structural/simulation study should be performed on the biological unit of a protein system. For example, the alpha2-beta2 tetramer form of hemoglobin. However, canonical PDB files usually contain the asymmetric unit of the crystal cell, which can be:

1. One biological unit

2. A portion of a biological unit

3. Multiple biological units

The function performs symmetry operations to the coordinates based on the transformation matrices stored in a 'pdb' object returned by `read.pdb`, and returns biological units stored as a list of `pdb` objects.

### Value

a list of `pdb` objects with each representing an individual biological unit.

### Author(s)

Xin-Qiu Yao

### See Also

`read.pdb`

### Examples

       # PDB server connection required - testing excluded

       pdb <- read.pdb("2dn1")
       biounit <- biounit(pdb)
       pdb
       biounit

    ## Not run:
       biounit <- biounit(read.pdb("2bfu"), multi=TRUE)
       write.pdb(biounit[[1]], file="biounit.pdb")
       # open the pdb file in VMD to have a look on the biological unit

    ## End(Not run)

[Package bio3d version 2.3-4 Index]